<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Session;
use App\Helpers\EncryptDecrypt;
use App\Traits\ConsumeExternalService;
use App\Helpers\s3upload;

class RequestController extends Controller
{
    use ConsumeExternalService;


    public function request()
    {

        $loginUserData = Session::get('login_user_data');
        $userToken = Session::get('user_token');

        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];
   

        $post_data = array(
            'page'=>'1',
        );

        $requestUri = "/v1/common/sent_request_list";
        $data1 = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $response = $this->performRequest("POST", $requestUri, $data1, $formParams);

        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
        $userData = $response_decoded;

        // dd($userData);

        $rec_post_data = array(
            'page'=>'1',
        );

        $rec_requestUri = "/v1/common/received_request";
        $rec_data1 = EncryptDecrypt::bodyEncrypt(json_encode($rec_post_data));
        $rec_response = $this->performRequest("POST", $rec_requestUri, $rec_data1, $formParams);

        $rec_response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($rec_response));
        $rec_userData = $rec_response_decoded;
        // dd($rec_userData);

        return view('user.request.request',compact('userData','rec_userData'));
    }



    public function receive_req_info($id)
    {

        $loginUserData = Session::get('login_user_data');
        $userToken = Session::get('user_token');

        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];
   

        $post_data = array(
            'request_id'=>$id,
        );

        // dd($post_data);

        $requestUri = "/v1/common/received_request_details";
        $data1 = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $response = $this->performRequest("POST", $requestUri, $data1, $formParams);

        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
        $details = $response_decoded;

        // dd($details);



        return view('user.request.receive_req_info',compact('details'));
    }




    public function sent_request_details($id)
    {

        $loginUserData = Session::get('login_user_data');
        $userToken = Session::get('user_token');

        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];
   

        $post_data = array(
            'request_id'=>$id,
        );

        // dd($post_data);

        $requestUri = "/v1/common/sent_request_details";
        $data1 = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $response = $this->performRequest("POST", $requestUri, $data1, $formParams);

        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
        $details = $response_decoded;

        // dd($details);


        return view('user.request.sent_request_details',compact('details'));
    }



    public function cancle_request(Request $request)
    {

        $loginUserData = Session::get('login_user_data');
        $userToken = Session::get('user_token');

        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];
   

        $post_data = array(
            'request_id'=>$request->id,
        );

        // dd($post_data);

        $requestUri = "/v1/common/cancel_request";
        $data1 = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $response = $this->performRequest("POST", $requestUri, $data1, $formParams);

        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
        $details = $response_decoded;

        // dd($details);

        $output['url'] = route('request');

        return response()->json($output);

    }




    public function send_request(Request $request)
    {

        $loginUserData = Session::get('login_user_data');
        $userToken = Session::get('user_token');

        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];
   

        $post_data = array(
            'card_id' => $request->card_id,
            'all_info' => $request->all_info ?? "0",
            'email' => $request->email ?? "0",
            'phone' => $request->phone ?? "0",
            'location' => $request->location ?? "0",
            'is_socialmedia' => $request->is_socialmedia ?? "0",
            'is_for_social_media' => "0",
        );

        // dd($post_data);

        $requestUri = "/v1/common/sent_request";
        $data1 = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $response = $this->performRequest("POST", $requestUri, $data1, $formParams);

        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
       

        dd($response_decoded);

    }
}
