<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use App\admin\AdminModel;

class SubadminController extends Controller
{
    //=========================== Display Users data =====================================
    public function subAdmin(Request $request)
    {
        if ($request->ajax()) {
            $data = AdminModel::where("is_deleted", 0)->orderBy('created_at', 'desc')->get();
            // dd($data);
            // return AdminModel::of($data)
            //     ->addIndexColumn()
            //     ->addColumn('action', function ($row) {

            //         $btn = '<a href="" class="view btn btn_color btn-sm"><i class="md md-remove-red-eye"></i></a> ';
            //         $btn .= '<a href="" class="edit btn btn_color btn-sm"><i class="md md-mode-edit"></i></a> ';
            //         $btn .= '<a href="" class="edit btn btn_color btn-sm del_btn" id=""><i class="md md-delete"></i></a>';
            //         return $btn;
            //     })
            //     ->rawColumns(['action'])
            //     ->make(true);
            return response()->json(['data' => $data]);
        }
        return view('admin.pages.subadmin');
    }

    /**Date convert on specific timezone.*/
    function date_convert($date, $dateformat, $timezone = NULL)
    {
        $timezone = !empty($timezone) ? $timezone : 'UTC';
        if ($date == '0000-00-00 00:00:00') {
            return $date;
        }
        $date = new DateTime($date);
        $date->setTimezone(new DateTimeZone($timezone));
        return $date->format($dateformat);
    }

    //================================= Add User ==============================
    public function addUsers()
    {
        return view('admin.pages.useradd');
    }

    public function addUsersData(Request $req)
    {
        //dd($req->input('fullname'));
        $req->validate(
            [
                'fullname' => 'required|min:3|max:128',
                'email' => 'required|email',
                'country_code' => 'required|numeric',
                'phone_number' => 'required|numeric',
                'password' => 'required',
                'type' => 'required',
            ],
            [
                'fullname.required' => 'Enter User Fullname',
                'email.required' => 'Enter Email Id',
                'country_code.required' => 'Enter Country Code',
                'phone_number.required' => 'Enter Phone Number',
                'password.required' => 'Enter User Password',
                'type.required' => 'Select User Type',
                'unique:UserModel,email' => 'Email Id Already Exits',
            ]
        );

        $fullname = $req->input('fullname');
        $email = $req->input('email');
        $countey_code = $req->input('country_code');
        $phone_number = $req->input('phone_number');
        $password = $req->input('password');
        $type = $req->input('type');
        // dd($type);
        AdminModel::create([
            'full_name' => $fullname,
            'email' => $email,
            'country_code' => $countey_code,
            'mobile_number' => $phone_number,
            'password' => Hash::make($password),
            'user_type' => $type,
            'status_id' => 0,
            'chat_status' => 0,
        ]);
        return response()->json(['status' => 'success', 'message' => 'Data Update Successfully']);
    }
    //======================== View User ==================================
    public function viewUsers($id)
    {
        //dd($id);
        $data = AdminModel::where('is_delete', 0)->where('id', $id)->get();
        // dd($follower);
        return view('admin.pages.userview', compact('data'));
    }

    //======================== Edit User =================================
    public function editUser($id)
    {
        $data = AdminModel::where('is_delete', 0)->where('id', $id)->get();
        //dd($data);  
        return view('admin.pages.useredit', compact('data'));
    }
    public function updateUser(Request $req)
    {
        // dd($req->input('user_id'));
        $req->validate(
            [
                'fullname' => 'required|min:3|max:128',
                'email' => 'required|email',
                'country_code' => 'required|numeric',
                'phone_number' => 'required|numeric',
                'password' => 'required',
                'type' => 'required',
            ],
            [
                'fullname.required' => 'Enter User Fullname',
                'email.required' => 'Enter Email Id',
                'country_code.required' => 'Enter Country Code',
                'phone_number.required' => 'Enter Phone Number',
                'password.required' => 'Enter User Password',
                'type.required' => 'Select User Type',
                'unique:UserModel,email' => 'Email Id Already Exits',
            ]
        );

        $user = AdminModel::find($req->input('user_id'));

        $user->full_name = $req['fullname'];
        $user->email = $req['email'];
        $user->country_code = $req['country_code'];
        $user->mobile_number = $req['phone_number'];
        $user->password = $req['password'];
        $user->user_type = $req['type'];

        $user->save();
        return response()->json(['status' => 'success', 'message' => 'Data Update Successfully']);
    }

    //============================ Approve User ====================================
    public function approveUser(Request $request)
    {
        $user = AdminModel::find($request->input('id'));

        if ($user) {
            $user->is_approve = $request->input('value');
            $user->save();

            return response()->json(['status' => 'success']);
        } else {
            return response()->json(['status' => 'error'], 404);
        }
    }

    //============================ Chnage Status ====================================
    public function statusUser(request $req)
    {
        $data = AdminModel::find($req->input('id'));
        if ($data) {
            $data->is_active = ($req->input('status') == '0') ? '1' : '0';
            $data->save();

            $data = AdminModel::where('is_delete', 0)->where('id', $req->input('id'))->get();

            return response()->json(['status' => 'success', 'data' => $data]);
        } else {
            return response()->json(['status' => 'error'], 404);
        }
    }

    //================================ Delete User ==================================
    public function deleteUser(request $req)
    {
        //dd($req->input('id'));
        $user = AdminModel::find($req->input('id'));

        if ($user) {
            $user->is_delete = '1';
            $user->save();
            return response()->json(['status' => 'success']);
        }

        return response()->json(['status' => 'error', 'message' => 'Food not found.'], 404);
    }

    //=============================== Avatar ========================================
    public function Avatar(request $req)
    {
        return view('admin.pages.avatar');
    }

    //=============================== Social Media ========================================
    public function socialMedia(request $req)
    {
        return view('admin.pages.socialmedia');
    }

    //=============================== Notification ========================================
    public function notification(request $req)
    {
        return view('admin.pages.notification');
    }

    //=============================== Social Media ========================================
    public function report(request $req)
    {
        return view('admin.pages.report');
    }
}
