<?php

namespace App\Traits;

use GuzzleHttp\Client;
use GuzzleHttp\Exception\GuzzleException;
use App\Helpers\EncryptDecrypt;
use Illuminate\Support\Facades\Session;

trait ConsumeExternalService
{

    /**
     * Send a request to any external service
     * @param $method
     * @param $requestUri
     * @param array $formParams
     * @param array $headers
     * @param bool $async
     * @param bool $is_auth
     * @return String
     * @throws GuzzleException
     */
    public function performRequest($method, $requestUri, $formParams = '', array $headers = [], bool $async = false): string
    {
        // dd($method);
        $client = new Client([
            // 'base_uri' => "http://13.235.173.222:8001",
            'base_uri' => env('BASE_URI_FOR_API'),
        ]);

        $headers["api-key"] = 'e9IOV7LWqgUIRwiLZqyHxg==';
        $headers['Content-Type'] = 'text/plain';
        $headers['accept_language'] = 'en';
        $response = "";
        if ($async) {
            $promise = $client->requestAsync($method, $requestUri, ['verify' => false, 'http_errors' => false, 'body' => $formParams, 'headers' => $headers]);
            $response = $promise->wait();
            $promise->then(
                function (ResponseInterface $res) {
                    $response = $res->getBody()->getContents();
                },
                function (RequestException $exception) {
                    $response = $exception->getMessage();
                }
            );
        } else {
            if ($method == 'GET') {
                $response = $client->request($method,  $requestUri . '?' . http_build_query($formParams), ['verify' => false, 'http_errors' => false, 'body' => $formParams, 'headers' => $headers]);
                $response = $response->getBody()->getContents();
            } else {
                if (empty($headers)) {
                    die('hello');
                }
                // echo "<pre>";
                // print_r($headers);die;
                $response = $client->request($method, $requestUri, ['http_errors' => false, 'body' => $formParams, 'headers' => $headers]);
                // echo "<pre>";print_r($response->getBody()->getContents());die;

                // if($response->getStatusCode()== 401 || $response->getStatusCode()=='401')
                // {
                //  Session::forget('USER_LOGIN_SESSION');
                //  Session::save();
                //  return redirect()->route('home');
                // }  
                $response = $response->getBody()->getContents();
                // echo "<pre>";
                // print_r($response);
                // die;
            }
        }
        return $response;
    }
}
