<!DOCTYPE html>
<html>

<head>
    <title>IContact Admin Profile</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="A fully featured admin theme which can be used to build CRM, CMS, etc.">
    <meta name="author" content="Coderthemes">

    <link rel="shortcut icon" href="{{asset('assets/admin/upload/logo.png')}}">
    <script src="{{asset('assets/admin/js/jquery.min.js')}}"></script>
    @include('admin.common.style')

</head>

<body class="widescreen fixed-left">

    <!-- Begin page class="widescreen fixed-left-void" class="forced enlarged"-->
    <div id="wrapper" class="forced">

        <!-- Start header -->
        @include('admin.common.header')
        <!-- End header-->

        <!-- ============================================================== -->
        <!-- Start right Content here -->
        <!-- ============================================================== -->
        <div class="content-page">
            <!-- Start content -->
            <div class="content">
                <div class="container">

                    <!-- Page-Title -->
                    <div class="row">
                        <div class="col-sm-12">
                            <h4 class="page-title">Change Password</h4>
                            <p class="text-muted page-title-alt"><b>
                                    <b>{{Auth::guard('admin')->user()->fullname}}</b> Welcome to IContact admin
                                    panel !</p>
                        </div>
                    </div>
                    <div>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="card-box">

                                    <br>
                                    <form action="{{url('admin/passwordChange')}}" data-parsley-validate novalidate
                                        method='post' id='adminpassword'>
                                        @csrf
                                        <div class="form-group">
                                            <label>Password*</label>
                                            <input type="password" name="password" class="form-control"
                                                id="exampleInputEmail1" placeholder="Enter New Password"
                                                data-parsley-required="true"
                                                data-parsley-required-message="Enter New Password"
                                                data-parsley-minlength="8"
                                                data-parsley-minlength-message="Password must be at least 8 characters long"
                                                data-parsley-pattern="^(?=.*[0-9])(?=.*[a-zA-Z])(?=.*[^a-zA-Z0-9\s]).+$"
                                                data-parsley-pattern-message="Password must contain at least one digit and one character"
                                                value="{{old('password')}}">
                                            <span class='text-danger'>
                                                @error('password')
                                                {{$message}}
                                                @enderror
                                            </span>
                                        </div>

                                        <div class="form-group">
                                            <label for="userPassword">Confirm Password*</label>
                                            <input class="form-control" type="text" placeholder="Enter Confirm Password"
                                                name="confirm" parsley-trigger="change" data-parsley-required="true"
                                                data-parsley-required-message="Enter Confirm Password"
                                                data-parsley-equalto="#exampleInputEmail1"
                                                data-parsley-equalto-message="The confirm password does not match the password"
                                                value="">
                                            <span class='text-danger'>
                                                @error('confirm')
                                                {{$message}}
                                                @enderror
                                            </span>
                                        </div>

                                        <div class="form-group text-right m-b-0">
                                            <button class="btn btn_color text-uppercase waves-effect waves-light"
                                                id='changepassword' type="submit" name='update'>Submit</button>
                                        </div>

                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- end row -->
                </div> <!-- container -->
            </div> <!-- content -->
            @include('admin.common.footer')
            @include('admin.common.script')

        </div>
    </div>
    <!-- END wrapper -->
    <script type="text/javascript" src="{{asset('assets/admin/plugins/parsleyjs/dist/parsley.min.js')}}"></script>

    <script>
        //======================== Validation =============================
        $('#adminpassword').parsley();


        var successMessage = "{{ Session::get('success') }}";
        if (successMessage) {
            swal({
                position: 'top-end',
                type: 'success',
                title: 'Password Update Successfully!',
                showConfirmButton: true,
                timer: 1500
            })
        }
    </script>
</body>

</html>