<!DOCTYPE html>
<html>

<head>
    <title>IContact Admin Profile</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="A fully featured admin theme which can be used to build CRM, CMS, etc.">
    <meta name="author" content="Coderthemes">

    <link rel="shortcut icon" href="{{asset('assets/admin/upload/logo.png')}}">
    <script src="{{asset('assets/admin/js/jquery.min.js')}}"></script>

    @include('admin.common.style')

</head>

<body class="widescreen fixed-left">

    <!-- Begin page class="widescreen fixed-left-void" class="forced enlarged"-->
    <div id="wrapper" class="forced">

        <!-- Start header -->
        @include('admin.common.header')
        <!-- End header-->

        <!-- ============================================================== -->
        <!-- Start right Content here -->
        <!-- ============================================================== -->
        <div class="content-page">
            <!-- Start content -->
            <div class="content">
                <div class="container">

                    <!-- Page-Title -->
                    <div class="row">
                        <div class="col-sm-12">
                            <h4 class="page-title">Profile Details</h4>
                            <p class="text-muted page-title-alt"><b>
                                    <b>{{Auth::guard('admin')->user()->fullname}}</b> Welcome to IContact admin
                                    panel !</p>
                        </div>
                    </div>
                    <div>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="card-box">

                                    <br>
                                    <form action="" data-parsley-validate novalidate method='post' id='adminprofile'>
                                        @csrf
                                        <input type="hidden" name="id" id="id" value='{{$user->id}}'>
                                        <div class="form-group">
                                            <label for="userName">Fullname</label>
                                            <input class="form-control" type="text" placeholder="Enter Fullname"
                                                name="fullname" parsley-trigger="change" data-parsley-required="true"
                                                data-parsley-required-message="Enter Fullname"
                                                value="{{$user->fullname }}">
                                            <span class='text-danger'>
                                                @error('name')
                                                {{$message}}
                                                @enderror
                                            </span>
                                        </div>
                                        <div class="form-group">
                                            <label for="emailAddress">Email ID</label>
                                            <input type="email" name="email" parsley-trigger="change"
                                                placeholder="Enter email" data-parsley-required="true"
                                                data-parsley-required-message="Enter Email ID" class="form-control"
                                                id="emailAddress" value='{{$user->email }}'>
                                        </div>
                                        <div class="form-group">
                                            <label for="emailAddress">Country Code</label>
                                            <input type="text" name='country_code' data-parsley-required="true"
                                                data-parsley-required-message="Enter Country Code" class="form-control"
                                                value='{{$user->country_code }}'>
                                        </div>
                                        <div class="form-group">
                                            <label for="emailAddress">Phone Number</label>
                                            <input type="text" name="phone_number" parsley-trigger="change"
                                                ata-parsley-required="true"
                                                data-parsley-required-message="Enter Phone Number Number"
                                                placeholder="Enter Phone Number" class="form-control" id="emailAddress"
                                                value='{{$user->phone_number }}'>
                                        </div>

                                        <div class="form-group text-right m-b-0">
                                            <button class="btn btn_color waves-effect waves-light text-uppercase" id=''
                                                type="submit">Save</button>
                                            <!-- <button class="btn btn-primary text-uppercase waves-effect waves-light"
                                                id='update' type="submit" name='update'>Save</button> -->
                                        </div>

                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- end row -->
                </div> <!-- container -->
            </div> <!-- content -->
            @include('admin.common.footer')
            @include('admin.common.script')

        </div>
    </div>
    <!-- END wrapper -->
    <script>
        $(document).on('submit', '#adminprofile', function (e) {
            e.preventDefault();
            console.log('hello');

            var formData = new FormData($("#adminprofile")[0]);

            $.ajax({
                method: "POST",
                url: "{{ url('admin/editprofile') }}",
                dataType: "json",
                data: formData,
                contentType: false,
                processData: false,
                success: function (data) {
                    swal({
                        position: 'top-end',
                        type: 'success',
                        title: 'Data Update Successfully!',
                        showConfirmButton: true,
                        timer: 1500
                    })
                },
                error: function (xhr, status, error) {
                    if (xhr.responseJSON && xhr.responseJSON.errors) {
                        var errorMessages = xhr.responseJSON.errors;
                        $.each(errorMessages, function (key, value) {
                            $('input[name="' + key + '"]').siblings('.text-danger').text(value[0]);
                        });
                    } else {
                        console.error("Error: " + error);
                        console.log(xhr.responseText);
                    }
                }
            });
        });
    </script>

</body>

</html>