<!DOCTYPE html>
<html>

<head>
  <title>iContact Edit User</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="description" content="A fully featured admin theme which can be used to build CRM, CMS, etc.">
  <meta name="author" content="Coderthemes">

  <link rel="shortcut icon" href="{{asset('assets/admin/upload/logo.png')}}">
  <script src="{{asset('assets/admin/js/jquery.min.js')}}"></script>

  @include('admin.common.style')

</head>

<body class="widescreen fixed-left">

  <!-- Begin page class="widescreen fixed-left-void" class="forced enlarged"-->
  <div id="wrapper" class="forced">

    <!-- Start header -->
    @include('admin.common.header')
    <!-- End header-->

    <!-- ============================================================== -->
    <!-- Start right Content here -->
    <!-- ============================================================== -->
    <div class="content-page">
      <!-- Start content -->
      <div class="content">
        <div class="container">

          <!-- Page-Title -->
          <div class="row">
            <div class="col-sm-12">
              <h4 class="page-title">Edit User</h4>
              <ol class="breadcrumb">
                <li><a href="{{url('admin/dashboard')}}">iContact</a></li>
                <li><a href="{{url('admin/user')}}">Manage User</a></li>
                <li class="active">Edit User</li>
              </ol>
            </div>
          </div>

          <div class="row">
            <div class="col-sm-12">
              <div class="card-box">
                <div class="card card-primary">
                  <div class="card-header">
                    <h3 class="card-title"><b class='form-title'>Edit User Data</b></h3>
                  </div>
                  <br>
                  <!-- /.card-header -->
                  <!-- form start -->
                  <form id="userUpdateform" method='post' enctype="multipart">
                    @csrf

                    <input type="hidden" name="user_id" class="user_id" value='{{ $data->id }}'>
                    <div class="card-body">

                      <div class="form-group">
                        <label>User Type</label>
                        <select class="form-control" name='type' id='type_{{ $data->id }}' data-parsley-required="true"
                          data-parsley-required-message="Select Type">
                          <option value="">--- Select Type ---</option>
                          <option value="P" @if($data->user_type =='P' ) selected @endif>Personal</option>
                          <option value="C" @if($data->user_type =='C' ) selected @endif>Corporate</option>
                        </select>
                        <span class='text-danger'>
                          @error('type')
                          {{$message}}
                          @enderror
                        </span>
                      </div>
                    </div>

                    <div class="form-group">
                      <label for="exampleInputEmail1">Fullname</label>
                      <input type="text" name="fullname" class="form-control" id="exampleInputEmail1"
                        placeholder="Enter Fullname" data-parsley-required="true"
                        data-parsley-required-message="Enter Fullname" data-parsley-length="[3, 128]"
                        data-parsley-length-message="Fullname must be between 3 and 128 characters long"
                        data-parsley-pattern="^[A-Za-z ]+$"
                        data-parsley-pattern-message="Only alphabetic characters and spaces are allowed"
                        data-parsley-no-whitespace-start="true"
                        data-parsley-no-whitespace-start-message="Fullname cannot start with whitespace"
                        value="{{ $data->full_name }}">
                      <span class='text-danger'>
                        @error('fullname')
                        {{$message}}
                        @enderror
                      </span>
                    </div>

                    <div class="form-group">
                      <label for="exampleInputEmail1">Email ID</label>
                      <input type="email" name="email" class="form-control" id="exampleInputEmail1"
                        placeholder="Enter Email ID" data-parsley-required="true"
                        data-parsley-required-message="Enter Email ID" value="{{ $data->email}}">
                      <span class='text-danger'>
                        @error('email')
                        {{$message}}
                        @enderror
                      </span>
                    </div>

                    <div class="form-group">
                      <label>Country Code</label>
                      <br>
                      <input type="text" name="country_code" class="form-control" id="exampleInputEmail1"
                        placeholder="Enter Country Code" data-parsley-required="true"
                        data-parsley-required-message="Enter Country Code" data-parsley-pattern="^\+[0-9]{1,32}$"
                        data-parsley-pattern-message="Enter a valid country code" value="{{ $data->country_code }}">
                      <span class='text-danger'>
                        @error('country_code')
                        {{$message}}
                        @enderror
                      </span>
                    </div>

                    <div class="form-group">
                      <label>Phone Number</label>
                      <input type="text" name="phone_number" class="form-control" id="exampleInputEmail1"
                        placeholder="Enter Phone Number" data-parsley-required="true"
                        data-parsley-required-message="Enter Phone Number" data-parsley-type="digits"
                        data-parsley-length="[1, 128]"
                        data-parsley-length-message="Phone number must be between 1 and 128 digits long"
                        value="{{ $data->mobile_number }}">
                      <span class='text-danger'>
                        @error('phone_number')
                        {{$message}}
                        @enderror
                      </span>
                    </div>

                    <!-- /.card-body -->
                    <div class="card-footer">
                      <button type="button" class="btn btn_color btn_update">Update</button>
                    </div>

                  </form>
                </div>
              </div>
            </div>
          </div>
        </div>

        <!-- end row -->
      </div> <!-- container -->
    </div> <!-- content -->
    @include('admin.common.footer')
    @include('admin.common.script')
    <script type="text/javascript" src="{{asset('assets/admin/plugins/parsleyjs/dist/parsley.min.js')}}"></script>

  </div>
  </div>
  <!-- END wrapper -->
  <script>
    //=================================Validation==================================
    $('#userForm').parsley();
    //================================ Update User Data ==========================
    $(document).on('click', '.btn_update', function (e) {
      console.log('hii');
      e.preventDefault();
      var id = $('#user_id').val();
      var formData = new FormData($("#userUpdateform")[0]);

      $.ajax({
        method: "POST",
        url: "{{ url('admin/user-update') }}",
        dataType: "json",
        data: formData,
        contentType: false,
        processData: false,
        success: function (data) {
          window.location.href = "{{ url('admin/user')}}";
        },
        error: function (xhr, status, error) {
          if (xhr.responseJSON && xhr.responseJSON.errors) {
            var errorMessages = xhr.responseJSON.errors;
            $.each(errorMessages, function (key, value) {
              $('input[name="' + key + '"]').siblings('.text-danger').text(value[0]);
            });
          } else {
            console.error("Error: " + error);
            console.log(xhr.responseText);
          }
        }
      });
    });

  </script>
</body>

</html>