<!DOCTYPE html>
<html lang="en" class="no-js">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="description" content="Premium Bootstrap 5 Landing Page Template" />
    <meta name="keywords" content="bootstrap 5, premium, marketing, multipurpose" />
    <meta name="author" content="Coderthemes" />
    <title>IContact</title>
    @include('user.inc.stylesheet')
    <style>
         span ul li {

list-style: none;
padding: 0;
margin: 0;
/* font-weight: bold; */
color: red;
margin-top: -16px;
margin-left: -28px;

}
    </style>
</head>

<body class="">
    <div class="wrapper">
    @include('user.inc.login-header')
        <div class="login-page">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-6">
                        <div class="auth-form forgot-password-module">

                            <div class="text-center mb-4">
                                <img src="assets/images/otp.png" class="img-fluid">
                                <h4 class="mb-0 header-text">We have sent you an OTP</h4>
                                <p class="para-text">Please enter the verification code sent to
                                    {{$loginUserData->country_code}} {{$loginUserData->mobile_number}}</p>
                            </div>
                            <form action="{{ route('otp_verify_post') }}" name="verifyOtp" id="verifyOtp" method="POST" data-parsley-validate="">
                                @csrf
                                @include('user.inc.flash')

                                <input type="hidden" name="c_code" value="{{$loginUserData->country_code}}">
                                <input type="hidden" name="phone" value="{{$loginUserData->mobile_number}}">
                                <input type="hidden" name="profile_image" value="{{$loginUserData->profile_image}}">
                                <input type="hidden" name="avatar" value="{{$loginUserData->avatar_icon}}">




                                <div class="mb-3">
                                <input type="text" name="otp" id="otp" class="form-control" placeholder="00000" data-parsley-required="true" data-parsley-errors-container="#firstnameerror" data-parsley-required-message="Please enter OTP" pattern="[0-9]+" inputmode="numeric" minlength="6" maxlength="6" oninput="this.value = this.value.replace(/[^0-9]/g, '');"
                                data-parsley-pattern-message="Please enter only numeric characters for the OTP" />
                                </div>
                                <span id="firstnameerror" class="text-danger"></span>

                                <div class="text-center mb-3">
                                <a href="{{ route('resend_otp', ['country_code' => $loginUserData->country_code, 'phone' => $loginUserData->mobile_number]) }}">
                                    <i class="fas fa-redo"></i> Resend
                                </a>

                                </div>
                                <button type="submit" class="btn btn-gradient-primary w-100">Verify</button>
                           </form>

                        </div>

                    </div>
                </div>
            </div>
        </div>
        @include('user.inc.footer')
    </div>
    @include('user.inc.script')
    <script src="https://cdn.jsdelivr.net/npm/parsleyjs@2.9.2/dist/parsley.min.js"></script>
    <script>


        document.getElementById('verifyOtp').addEventListener('submit', function () {
        var countryCode = document.querySelector('input[name="c_code"]').value;
        var phoneNumber = document.querySelector('input[name="phone"]').value;
        var profileImage = document.querySelector('input[name="profile_image"]').value;
        var avatar = document.querySelector('input[name="avatar"]').value;

        var storedUserData = {
            'countryCode': countryCode,
            'phoneNumber': phoneNumber,
            'profileImage': profileImage,
            'avatar': avatar
        };

        var storedDataArray = JSON.parse(localStorage.getItem('userData')) || [];

        storedDataArray.push(storedUserData);

        localStorage.setItem('userData', JSON.stringify(storedDataArray));
    });
    </script>

</body>

</html>