<!DOCTYPE html>
<html lang="en" class="no-js">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="description" content="Premium Bootstrap 5 Landing Page Template" />
    <meta name="keywords" content="bootstrap 5, premium, marketing, multipurpose" />
    <meta name="author" content="Coderthemes" />
    <title>IContact</title>
    @include('user.inc.stylesheet')
    <style>

        span ul li {

        list-style: none;
        padding: 0;
        margin: 0;
        /* font-weight: bold; */
        color: red;
        /* margin-top: -16px;
        margin-left: -18px; */

        }


        span ul{
            margin-top: -17px;
        }

    </style>
</head>

<body class="">
    <div class="wrapper">
    @include('user.inc.login-header')
        <div class="login-page mt-10">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-6">
                        <div class="auth-form signup-module">
                            <div class="text-center mb-4">
                                <h4 class="mb-0 header-text">Sign Up</h4>
                            </div>


                        <form class="" id="signupform" name="signupform" method="POST" action="{{ route('signup_post') }}" enctype="multipart/form-data" data-parsley-validate="">
                            @csrf
                            @include('user.inc.flash')
                            <div class="mb-3 text-center">
                                <label class="profile-img edit-profile-img mb-3">
                                    <img src="{{asset('assets/images/profile.png')}}" id="previewDocument">
                                    <input type="file" name="image" id="image" value="" accept="image/*">
                                    <input type="hidden" name="avatar_id" id="avatar_id" value="">

                                </label>
                                <a href="" data-bs-toggle="modal" data-bs-target="#avtarmodal">
                                    <div class="avtar-text">Choose Avatar ></div>
                                </a>
                            </div>

                            <div class="mb-3">
                                <input type="text" class="form-control" id="full_name" placeholder="Name" data-parsley-required="true"  data-parsley-pattern="^(?!\s)(?!.*[._@#]).*" data-parsley-errors-container="#firstnameerror" data-parsley-required-message="Please enter a first name"   data-parsley-pattern-message="First name cannot start with a space" name="full_name" value="" />
                            </div>
                            <span id="firstnameerror" class="text-danger"></span>
                           


                            <div class="mb-3">
                                <div class="phone-number d-flex gap-2">
                                    <select class="form-control" style="width:27%">
                                        <option>+91</option>
                                        <option>+124</option>
                                        <option>+0012</option>
                                    </select>
                                    <input type="tel" value="" class="form-control" name="phone"
                                    placeholder="Phone Number" data-parsley-required="true"
                                    data-parsley-errors-container="#moberror" data-parsley-required-message="Please enter a mobile number"
                                    pattern="[0-9]+" inputmode="numeric"
                                    data-parsley-pattern-message="Please enter only numeric characters for the phone number">
                                </div>
                            </div>
                            <span id="moberror" class="text-danger"></span>


                            <div class="mb-3">
                                <div class="input-group mb-3">
                                    <input type="email" class="form-control border-0" placeholder="Email" data-parsley-required="true"  data-parsley-errors-container="#emailerror" data-parsley-required-message="Please enter a email"
                                   aria-describedby="basic-addon1" id="email" name="email" value="">
                                    <a href="#" class="text-dark input-group-text">
                                        <img src="assets/images/email-icon.png">
                                    </a>
                                </div>
                                <span id="emailerror" class="text-danger"></span>
                            </div>


                            <div class="mb-3">
                                <div class="input-group mb-3">
                                    <input type="password" class="form-control border-0" placeholder="Create Password"
                                        aria-label="Username" aria-describedby="basic-addon1" id="password" name="password" pattern="^(?=.*[A-Za-z])(?=.*\d)(?=.*[@$!%*#?&])[A-Za-z\d@$!%*#?&]{8,}$" data-parsley-required="true" data-parsley-required-message="Please enter a password" data-parsley-pattern-message="Please enter a valid password. It should contain at least one uppercase letter, one digit, one special character, and have a minimum length of 8 characters." data-parsley-errors-container="#newpassworderror">
                                        <span class="input-group-text cursor-pointer" id="toggle-password">
                                             <i class="fas fa-eye-slash fa-lg" id="eye-icon"></i>
                                        </span>
                                </div>
                                <span id="newpassworderror" class="text-danger"></span>
                            </div>


                            <div class="form-check mb-3">
                                <input class="form-check-input" type="checkbox" value="" id="flexCheckChecked">
                                <label class="form-check-label" for="flexCheckChecked">
                                    I agree with the <a href="terms-condition.php" class="text-dark fw-bold">Terms &
                                        Conditions</a>
                                    and <a href="privacy-policy.php" class="text-dark fw-bold">Privacy Policy
                                    </a></label>
                            </div>


                            <button type="submit" class="btn btn-gradient-primary w-100">Next</button>

                        </form>



                        </div>
                    </div>
                </div>
            </div>
        </div>
        @include('user.inc.footer')
    </div>
    @include('user.inc.script')

    <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/parsleyjs@2.9.2/dist/parsley.min.js"></script>

<script>

$(document).ready(function () {


    $('.avatar').on('click', function (e) {
    e.preventDefault();

    var id = $(this).data('id');
    var url = $(this).data('url');


    $.ajax({
        url: "{{ route('select_avatar') }}",
        type: 'POST',
        dataType: 'json',
        data: {
            _token: '{{ csrf_token() }}',
            avatar_id: id,
            avatar_url: url
        },
        success: function (response) {
        
            if (response.url) {
                $('#avatar_id').val(response.id);
                $('.profile-img img').attr('src', response.url);
                $('#avtarmodal').modal('hide');
            }
        },
        error: function (xhr, status, error) {
            console.error(xhr.responseText);
        }
    });
});
});



function readURL(input) {
    if (input.files && input.files[0]) {
        var reader = new FileReader();

        reader.onload = function(e) {
            $('#previewDocument').attr('src', e.target.result);
        }

        reader.readAsDataURL(input.files[0]);
    }
}

$("#image").change(function() {
    readURL(this);
});

</script>

</body>

</html>

<div class="modal fade" id="avtarmodal" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content avtar-module">
            <div class="modal-header border-bottom-0" style="padding:10px ">
                <div class="ps-3 header-text">Set Avtar</div>
                <a href=""><button type="button" class="btn-close" data-bs-dismiss="modal"
                        aria-label="Close"></button></a>
            </div>
            <div class="modal-body">
                <div class="d-flex gap-4 align-items-center flex-wrap justify-content-center">

                     @foreach ($response_decoded->data as $item )
                     <a href="javascript:void(0)" class="avatar" data-id="{{$item->id}}" data-url="{{$item->avatar_icon}}"><img src="{{$item->avatar_icon}}" style="width: 100px;height: 100px;"></a>
                     @endforeach
                </div>
            </div>
        </div>
    </div>
</div>

