<!DOCTYPE html>
<html lang="en" class="no-js">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="description" content="Premium Bootstrap 5 Landing Page Template" />
    <meta name="keywords" content="bootstrap 5, premium, marketing, multipurpose" />
    <meta name="author" content="Coderthemes" />
    <title>IContact</title>
    @include('user.inc.stylesheet')
    <style>
        span ul li {

list-style: none;
padding: 0;
margin: 0;
margin-top: -16px;
/* font-weight: bold; */
color: red;
/* margin-top: -16px;
margin-left: -18px; */

}
    </style>
</head>

<body class="">
    <div class="wrapper">
    @include('user.inc.after-login-header')
        <div class="login-page">
            <div class="container">
                <div class="row justify-content-center">

                    <div class="col-lg-9">
                        <form class="" id="signupform" name="signupform" method="POST" action="{{ route('edit_personal_card_post') }}" enctype="multipart/form-data" data-parsley-validate="">
                                    @csrf
                                    @include('user.inc.flash')
                        <div class="auth-form signup-module">
                            <div class="d-flex text-center mb-4 justify-content-between align-items-center">
                                <h4 class="mb-0 header-text">Edit Personal Card</h4>

                                <div><a href="{{route('edit_location')}}" class="skip-text">Skip</a></div>
                            </div>
                           


                            <div class="mb-3 text-center">
                                <label class="profile-img edit-profile-img mb-3">
                                    @if ($homeData->data->profile_image != null)
                                    <img src="{{$homeData->data->profile_image}}" id="previewDocument">
                                    @elseif($homeData->data->avatar_icon != null)
                                    <img src="{{$homeData->data->avatar_icon}}" id="previewDocument">
                                    @else
                                    <img src="{{asset('assets/images/profile.png')}}" id="previewDocument">
                                    @endif
                                    <input type="file" name="image" id="image" value="{{$homeData->data->profile_image}}" accept="image/*">
                                    <input type="hidden" name="avatar_id" id="avatar_id" value="">
                                </label>
                                <a href="" data-bs-toggle="modal" data-bs-target="#avtarmodal">
                                    <div class="avtar-text">Choose Avatar ></div>
                                </a>
                            </div> 
                            

                            <div class="mb-3">
                                <input type="text" class="form-control" id="name" placeholder="Name" data-parsley-required="true"  data-parsley-pattern="^(?!\s)(?!.*[._@#]).*" data-parsley-errors-container="#firstnameerror" data-parsley-required-message="Please enter a first name"   data-parsley-pattern-message="Name cannot start with a space" name="name" value="{{$homeData->data->name}}" />
                            </div>
                            <span id="firstnameerror" class="text-danger"></span>
                           
                            <input type="hidden" name="user_type" id="user_type" value="P">

                            <div class="mb-3">
                                <div class="phone-number d-flex gap-2">
                                    <select class="form-control" style="width:27%" name="country_code" id="country_code" value="{{$homeData->data->country_code}}">
                                        <option>+91</option>
                                        <option>+124</option>
                                        <option>+0012</option>
                                    </select>
                                    <input type="tel" value="{{$homeData->data->mobile_number}}" class="form-control" name="mobile_number" id="mobile_number"
                                    placeholder="Phone Number" data-parsley-required="true"
                                    data-parsley-errors-container="#moberror" data-parsley-required-message="Please enter a mobile number"
                                    pattern="[0-9]+" inputmode="numeric"
                                    data-parsley-pattern-message="Please enter only numeric characters for the phone number">
                                </div>
                            </div>
                            <span id="moberror" class="text-danger"></span>


                             <div class="mb-3">
                                <div class="input-group mb-3">
                                    <input type="email" class="form-control border-0" placeholder="Email" data-parsley-required="true"  data-parsley-errors-container="#emailerror" data-parsley-required-message="Please enter a email"
                                   aria-describedby="basic-addon1" id="email" name="email" value="{{$homeData->data->email}}">
                                    <a href="#" class="text-dark input-group-text">
                                        <img src="assets/images/email-icon.png">
                                    </a>
                                </div>
                                <span id="emailerror" class="text-danger"></span>
                            </div>


                            <div class="mb-3"> <input type="date" class="form-control " placeholder="Date Of Birth" name="dob" id="dob" value="{{$homeData->data->date_of_birth}}" data-parsley-required="true" data-parsley-required-message="Please enter a date of birth" data-parsley-errors-container="#doberror">
                            </div>
                            <span id="doberror" class="text-danger"></span>

                            <div class="mb-3">
                                <input type="text" class="form-control" id="inputPasseord" placeholder="Company Name" name="company_name" id="company_name" value="{{$homeData->data->company_name}}" data-parsley-required="true" data-parsley-required-message="Please enter a company name" data-parsley-errors-container="#cnameerror"/>
                            </div>
                            <span id="cnameerror" class="text-danger"></span>


                            <div class="mb-3">
                                <input type="text" class="form-control" name="designation"  id="designation" value="{{$homeData->data->designation}}" placeholder="Designation" data-parsley-required="true"  data-parsley-pattern="^(?!\s)(?!.*[._@#]).*" data-parsley-errors-container="#dname" data-parsley-required-message="Please enter a designation"   data-parsley-pattern-message="Designation cannot start with a space" />
                            </div>
                            <span id="dname" class="text-danger"></span>


                            <div class="mb-3 company-info">
                                <label class="company-img edit-profile-img">
                                    @if ($homeData->data->company_logo)
                                    <img src="{{$homeData->data->company_logo}}" id="companylogo">
                                    @else
                                    <img src="{{asset('assets/images/profile.png')}}" id="companylogo">

                                    @endif
                                    <input type="file" name="company_logo" id="company_logo" value="{{ $companyLogoFilename }}">
                                </label>
                                <div class="company-text">Upload Company Logo</div>
                            </div>

                            <button type="submit" class="btn btn-gradient-primary w-100">Save</a>

                        </div>
                    </form>
                    </div>



                </div>
            </div>
        </div>
        @include('user.inc.footer')
    </div>
    @include('user.inc.script')
    <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/parsleyjs@2.9.2/dist/parsley.min.js"></script>


<script>
$(document).ready(function () {


$('.avatar').on('click', function (e) {
e.preventDefault();

var id = $(this).data('id');
var url = $(this).data('url');


$.ajax({
    url: "{{ route('select_avatar') }}",
    type: 'POST',
    dataType: 'json',
    data: {
        _token: '{{ csrf_token() }}',
        avatar_id: id,
        avatar_url: url
    },
    success: function (response) {
    
        if (response.url) {
            $('#avatar_id').val(response.id);
            $('.profile-img img').attr('src', response.url);
            $('#avtarmodal').modal('hide');
        }
    },
    error: function (xhr, status, error) {
        console.error(xhr.responseText);
    }
});
});
});


function readURLC(input) {
    if (input.files && input.files[0]) {
        var reader = new FileReader();

        reader.onload = function(e) {
            $('#companylogo').attr('src', e.target.result);
        }

        reader.readAsDataURL(input.files[0]);
    }
}

$("#company_logo").change(function() {
    readURLC(this);
});



function readURL(input) {
    if (input.files && input.files[0]) {
        var reader = new FileReader();

        reader.onload = function(e) {
            $('#previewDocument').attr('src', e.target.result);
        }

        reader.readAsDataURL(input.files[0]);
    }
}

$("#image").change(function() {
    readURL(this);
});




</script>
</body>

</html>
<div class="modal fade" id="avtarmodal" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content avtar-module">
            <div class="modal-header border-bottom-0" style="padding:10px ">
                <div class="ps-3 header-text">Set Avtar</div>
                <a href=""><button type="button" class="btn-close" data-bs-dismiss="modal"
                        aria-label="Close"></button></a>
            </div>
            <div class="modal-body">
                <div class="d-flex gap-4 align-items-center flex-wrap justify-content-center">
                @foreach ($response_decoded->data as $item )
                     <a href="javascript:void(0)" class="avatar" data-id="{{$item->id}}" data-url="{{$item->avatar_icon}}"><img src="{{$item->avatar_icon}}" style="width: 100px;height: 100px;"></a>
                     @endforeach
                </div>
            </div>
        </div>
    </div>
</div>