<!DOCTYPE html>
<html lang="en" class="no-js">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="description" content="Premium Bootstrap 5 Landing Page Template" />
    <meta name="keywords" content="bootstrap 5, premium, marketing, multipurpose" />
    <meta name="author" content="Coderthemes" />
    <title>IContact</title>
    @include('user.inc.stylesheet')
    <style>
           #map {
            height: 400px;
            width: 100%;
        }
    </style>
</head>

<body class="">
    <div class="wrapper">
    @include('user.inc.after-login-header')
        <div class="login-page">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-9">
                        <div class="auth-form-3 signup-module eventlocation-module">
                            <div class="d-flex justify-content-between align-items-center mb-4">
                                <div>
                                    <h4 class="mb-0 header-text">Events</h4>
                                    <p class="para-text">{{$eventCount}} Near by People</p>
                                </div>
                                <a href=""><img src="assets/images/profile-icon/search-icon.png"></a>
                            </div>
                            <div class="mb-4 event-imgcontainer" id="map">
                                
                            </div>

                            <div class="event-task">
                                <a href="{{route('create_event')}}" class="create-event"><img
                                        src="assets/images/auth-icon/add-icon.png" class="ps-2 fw-bold"
                                        style="height:15px;margin:auto;">Create Event</a>
                                <a href="{{route('event_list')}}"><img src="assets/images/event-list.png"></a>
                                <!-- <a href="" data-bs-toggle="modal" data-bs-target="#select-userevent"><img
                                        src="assets/images/event-personaluser.png"></a> -->
                            </div>

                          

                        </div>
                    </div>
                </div>
            </div>
        </div>
        @include('user.inc.footer')
    </div>
    @include('user.inc.script')
    <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>

 <script>
    var eventData = <?php echo json_encode($event->data); ?>;

    function initMap() {
        var map = new google.maps.Map(document.getElementById('map'), {
            center: {lat: 23.0759779, lng: 72.5239449},
            zoom: 10
        });

        if (Array.isArray(eventData)) {
            eventData.forEach(function(user) {
                var latitude = parseFloat(user.latitude);
                var longitude = parseFloat(user.longitude);

                if (!isNaN(latitude) && !isNaN(longitude)) {
                    var marker = new google.maps.Marker({
                        position: {lat: latitude, lng: longitude},
                        map: map,
                        title: user.name
                    });

                    var contentString = `
                        <div>
                            <a href="javascript:void(0)" class="event_info" data-id="${user.id}">
                                <img src="${user.event_logo}" style="width: 80px; height:80px;">
                            </a>
                        </div>
                    `;

                    var infowindow = new google.maps.InfoWindow({
                        content: contentString
                    });

                    infowindow.open(map, marker);

                    marker.addListener('click', function() {
                        infowindow.open(map, marker);
                    });
                } else {
                    console.error('Invalid latitude or longitude:', user);
                }
            });
        } else {
            console.error('Event data is not an array:', eventData);
        }
    }





    $(document).ready(function () {


        $(document).on('click', '.event_info', function (e) {
        e.preventDefault();
                var id = $(this).data('id');

                $.ajax({
                    url: "{{ route('event_detail') }}",
                    type: 'POST',
                    dataType: 'json',
                    data: {
                        _token: '{{ csrf_token() }}',
                        event_id: id,
                    },
                    success: function (response) {
                    
                        if (response.url) {
                            window.location.href = response.url;
                        }
                    },
                    error: function (xhr, status, error) {
                        console.error(xhr.responseText);
                    }
                });
        });
});

</script>

<script async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyB8zvdzwc1kNgvhKuhGoyFawHotcyDXNqQ&callback=initMap"></script>

</body>

</html>



    <div class="modal fade" id="select-userevent" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content delete-classification-module">
            <div class="modal-body p-1">
                <div class="selectusereventeffect-module">
                    <div class="select-user ">
                        <ul class="event-list list-unstyled" tabindex="5000">
                            <li class="event-name border-bottom gap-5">
                                <a href="">
                                    <div class="leftdiv">
                                        <img src="assets\images\select-effect-event.png" alt="" class="event-img">
                                        <div class="name">
                                            <h4 class="">Courtney Henry</h4>
                                            <span>(239) 555-0108</span>
                                        </div>
                                    </div>
                                    <div class="rightdiv">
                                        <a href=""><button type="button" class="btn-close"
                                                aria-label="Close"></button></a>
                                    </div>
                                </a>
                            </li>
                            <li>
                                <div class="d-flex align-items-center justify-content-evenly list-event">
                                    <a href="event-info.php" class="" style=" border-right: 1px solid #dee2e6;">Event
                                        Info</a>
                                    <a href="">See Profile</a>
                                </div>
                            </li>

                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>