<!DOCTYPE html>
<html lang="en" class="no-js">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="description" content="Premium Bootstrap 5 Landing Page Template" />
    <meta name="keywords" content="bootstrap 5, premium, marketing, multipurpose" />
    <meta name="author" content="Coderthemes" />
    <title>IContact</title>
    @include('user.inc.stylesheet')
</head>

<body class="">
    <div class="wrapper">
    @include('user.inc.after-login-header')
        <div class="login-page">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-9">
                        <div class="auth-form  event-module">
                            <div class="d-flex justify-content-between align-items-center mb-4">
                                <div>
                                    <h4 class="mb-0 header-text">Events</h4>
                                    <p class="para-text">All Events</p>
                                </div>
                                <!-- <a href=""><img src="assets/images/profile-icon/search-icon.png"></a> -->
                                <div class="chat-search">
                                    <input type="text" placeholder="Search" name="" class="form-control">
                                    <a href="#" class="form-icon"><img src="assets/images/search.svg"></a>
                                </div>
                            </div>

                            <ul class="event-list" tabindex="5000">
                                @foreach ($event->data as $list)
                                    
                                <li class="event-name mb-3">
                                    <a href="javascript:void(0)" data-id="{{$list->id}}" class="event_info">
                                        <div class="leftdiv">
                                            <img src="{{$list->event_logo}}" alt="" class="event-img">
                                            <div class="name">
                                                <h4 class="">{{$list->name}}</h4>
                                                <p class="mb-1">{{$list->description}}</p>
                                                <span><img src="assets/images/profile-icon/location.png" class="ps-2">
                                                {{$list->location}}</span>
                                            </div>
                                        </div>
                                    </a>
                                </li>

                                @endforeach
                
                            </ul>
                            <nav aria-label="Page navigation example">
                                <ul class="pagination  d-flex justify-content-end w-100">
                                    <li class="page-item"><a class="page-link pagination-bg" href="#">Previous</a></li>
                                    <li class="page-item"><a class="page-link pagination-inner" href="#">1</a></li>
                                    <li class="page-item"><a class="page-link pagination-inner" href="#">2</a></li>
                                    <li class="page-item"><a class="page-link pagination-inner" href="#">3</a></li>
                                    <li class="page-item"><a class="page-link pagination-bg" href="#">Next</a></li>
                                </ul>
                            </nav>

                            <!-- <a href="add-location-social-media.php" class="btn btn-gradient-primary w-100">Next</a> -->

                        </div>
                    </div>
                </div>
            </div>
        </div>
        @include('user.inc.footer')
    </div>
    @include('user.inc.script')

    <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>

<script>




   $(document).ready(function () {


       $(document).on('click', '.event_info', function (e) {
       e.preventDefault();
               var id = $(this).data('id');

               $.ajax({
                   url: "{{ route('event_detail') }}",
                   type: 'POST',
                   dataType: 'json',
                   data: {
                       _token: '{{ csrf_token() }}',
                       event_id: id,
                   },
                   success: function (response) {
                   
                       if (response.url) {
                           window.location.href = response.url;
                       }
                   },
                   error: function (xhr, status, error) {
                       console.error(xhr.responseText);
                   }
               });
       });
});

</script>

</body>

</html>