<!DOCTYPE html>
<html lang="en" class="no-js">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="description" content="Premium Bootstrap 5 Landing Page Template" />
    <meta name="keywords" content="bootstrap 5, premium, marketing, multipurpose" />
    <meta name="author" content="Coderthemes" />
    <title>IContact</title>
    @include('user.inc.stylesheet')
</head>

<body class="">
    <div class="wrapper">
    @include('user.inc.after-login-header')
        <div class="login-page">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-7">
                        <div class="auth-form-home home-module">
                            <div class="text-center header-text">
                                <h2 class="mb-1">Bessie Cooper</h2>
                                <div class="mb-3" data-bs-toggle="modal" data-bs-target="#statusmodal">
                                    <img src="assets/images/profile-icon/status-1.png" class="pe-2 statu-img">Set a
                                    Status</div>

                                  @if($homeData->data->avatar_icon != null)
                                  <img src="{{$homeData->data->avatar_icon}}" class="img-fluid mb-3" style="width: 30%;">
                                  @elseif ($homeData->data->profile_image != null)
                                  <img src="{{$homeData->data->profile_image}}" class="img-fluid mb-3" style="width: 30%;">
                                  @elseif ($homeData->data->business_logo != null)
                                  <img src="{{$homeData->data->business_logo}}" class="img-fluid mb-3" style="width: 30%;">
                                  @else
                                  <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRnZO-2fYKVDKQXtWrGKW4Tl6cYisp9NHL_ng4zunXzLQ&s" class="img-fluid mb-3">
                                  @endif

                                <div class="home-detail mb-3">
                                    <div class="d-flex gap-2 align-items-center mb-3">
                                        <img src="assets/images/profile-icon/call-1.png">
                                        <p class="mb-0">{{$homeData->data->mobile_number}}</p>
                                    </div>
                                    <div class="d-flex gap-2 align-items-center  mb-3">
                                        <img src="assets/images/profile-icon/call-2.png">
                                        <p class="mb-0">{{$homeData->data->email}}</p>
                                    </div>
                                    <div class="d-flex gap-2 align-items-center mb-2">
                                        <img src="assets/images/profile-icon/call-3.png">
                                        <p class="mb-0">{{$homeData->data->address}}</p>
                                    </div>
                                </div>
                                <div class="social-detail mb-3">
                                    <div class="social-img justify-content-lg-evenly justify-content-md-center mb-3"> 
                                    @foreach ($homeData->data->socialaccount as $socialData)
                                    <a href="{{$socialData->social_media_account_link}}" target="blank">

                                        <img src="{{$socialData->social_media_icon}}" class="img-fluid" style="width: 50px;">
                                    </a>
                                    @endforeach
                                    </div>
                                </div>
                                 @if($homeData->data->user_type == "P")
                                <div class="location-detail mb-3">
                                    <div class="location-text">
                                        <img src="{{$homeData->data->company_logo}}" style="width: 100px; height: 100px;">
                                        <div>
                                            <h3>{{$homeData->data->company_name}}</h3>
                                            <p class="mb-0">{{$homeData->data->designation}}</p>
                                        </div>
                                    </div>
                                </div>
                                @endif

                                <div class="search-people">
                                    <div class="chat-form">
                                        <div class="search-category">
                                            <div class="left">

                                                <!-- <ul class="nav nav-pills" id="pills-tab" role="tablist"
                                                    style="justify-content: flex-start;">
                                                    <li class="nav-item friend-cat" role="presentation">
                                                        <a class="nav-link active" id="pills-people-tab"
                                                            data-bs-toggle="pill" data-bs-target="#pills-people"
                                                            role="tab" aria-controls="pills-people"
                                                            aria-selected="true">People</a>
                                                    </li>
                                                    <li class="nav-item friend-cat" role="presentation">
                                                        <a class="nav-link" id="pills-group-tab" data-bs-toggle="pill"
                                                            data-bs-target="#pills-group" role="tab"
                                                            aria-controls="pills-group" aria-selected="false">Groups</a>
                                                    </li>
                                                </ul> -->

                                            </div>
                                            <div class="right">
                                                <div class="chat-search">
                                                    <input type="text" placeholder="Search" id="myInput" name="myInput" class="form-control">
                                                    <a href="#" class="form-icon"><img src="assets/images/search.svg"></a>
                                                </div>
                                            </div>

                                        </div>
                                        <div class="">
                                            <ul class="classification-list nicescroll"
                                                style="outline: none;padding-left:0px" tabindex="5000">

                                                @foreach ($users->data as $user )
                                                
                                                <a href="{{route('users_info', ['user_id' => $user->user_id])}}">
                                                    <li class="classification-name">
                                                        <div class="leftdiv">
                                                            @if($user->profile_image != null && $user->profile_image != "https://hlik-deep-bhaumik.s3.amazonaws.com/iContact/profileImages/" )
                                                            <img src="{{$user->profile_image}}" alt=""class="classific-img">
                                                            @elseif ($user->avatar_icon != null)
                                                            <img src="{{$user->avatar_icon}}" alt=""class="classific-img">
                                                            @else
                                                             <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRnZO-2fYKVDKQXtWrGKW4Tl6cYisp9NHL_ng4zunXzLQ&s" class="classific-img"
                                                             
                                                             >
                                                            @endif
                                                            <div class="name">
                                                                @if ($user->user_type != "P")
                                                                <h4 class="">{{$user->business_name}}</h4>
                                                                 @else
                                                                <h4 class="">{{$user->full_name}}</h4>
                                                                @endif

                                                                <span>{{$user->mobile_number}}</span>
                                                            </div>
                                                        </div>
                                                        <div class="rightdiv">
                                                            <img src="assets/images/profile-icon/arrow-right.png">
                                                        </div>
                                                    </li>
                                                </a>

                                                @endforeach


                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        @include('user.inc.footer')
    </div>
    @include('user.inc.script')
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="assets/js/moment.js"></script>
    <script src="assets/js/jquery.nicescroll.js"></script>
    <script>
    jQuery(document).ready(function() {
        $(".nicescroll").niceScroll({
            cursorcolor: '#98a6ad',
            cursorwidth: '6px',
            cursorborderradius: '5px'
        });
    });


    $('#myInput').on('input', function() {
            var searchString = $(this).val().toLowerCase();
            $('.classification-list').children().each(function() {
                var text = $(this).find('h4').text().toLowerCase();
                if (text.includes(searchString)) {
                    $(this).show();
                } else {
                    $(this).hide();
                }
            });

        });


    


    </script>
</body>

</html>
<div class="modal fade" id="statusmodal" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content status-module">
            <div class="modal-header border-bottom-0" style="padding:10px">
                <div class="header-text ps-2">Set Status</div>
                <a href="home.php"><button type="button" class="btn-close" data-bs-dismiss="modal"
                        aria-label="Close"></button></a>
            </div>
            <div class="modal-body p-3">

                @foreach ($statusData->data as $status )
                    
                <a href="{{route('change_status', ['status_id' => $status->id])}}">
                    <div class="status-symbol mb-3">
                        <img src="{{ $status->status_icon }}" class="img-fluid" style="width: 30px;">
                        <p class="mb-0 text-dark">{{ $status->name }}</p>
                    </div>
                </a>

                @endforeach
             
            </div>
        </div>
    </div>
</div>