<!DOCTYPE html>
<html lang="en" class="no-js">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="description" content="Premium Bootstrap 5 Landing Page Template" />
    <meta name="keywords" content="bootstrap 5, premium, marketing, multipurpose" />
    <meta name="author" content="Coderthemes" />
    <title>IContact</title>
    @include('user.inc.stylesheet')
</head>

<body class="">
    <div class="wrapper">
    @include('user.inc.after-login-header')
        <div class="login-page">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-9">
                        <div class="auth-form signup-module">
                            <div class="text-center mb-4">
                                <h4 class="mb-0 header-text">Request Screen</h4>
                            </div>
                            <ul class="nav nav-pills mb-3 d-flex align-items-center justify-content-around"
                                id="pills-tab" role="tablist">
                                <li class="nav-item" role="presentation">
                                    <button class="nav-link active" id="pills-home-tab" data-bs-toggle="pill"
                                        data-bs-target="#pills-home" type="button" role="tab" aria-controls="pills-home"
                                        aria-selected="true"><img src="assets/images/profile-icon/request-icon.png"
                                            class="con-img">Received</button>
                                </li>
                                <li class="nav-item" role="presentation">
                                    <button class="nav-link" id="pills-profile-tab" data-bs-toggle="pill"
                                        data-bs-target="#pills-profile" type="button" role="tab"
                                        aria-controls="pills-profile" aria-selected="false"><img
                                            src="assets/images/profile-icon/sent-icon.png">Sent</button>
                                </li>

                            </ul>
                            <div class="tab-content" id="pills-tabContent">
                                <div class="tab-pane fade show active" id="pills-home" role="tabpanel"
                                    aria-labelledby="pills-home-tab">
                                    @if($userData->code != "2" )
                                    <h3 class="requesttab-header-text">26 July ,2023</h3>
                                    @foreach ($rec_userData->data->request_list as $rec_user)
                                        
                                    <div class="request-container mb-3">
                                        <a href="request-info.php" class="request-card">
                                            <div class="request_img_container">
                                            @if($rec_user->avatar_icon != null)
                                                <img src="{{$rec_user->avatar_icon}}">
                                            @elseif ($rec_user->profile_image != null && $rec_user->profile_image != 'https://hlik-deep-bhaumik.s3.amazonaws.com/iContact/profileImages/')
                                                <img src="{{$rec_user->profile_image}}">
                                            @elseif ($rec_user->business_logo != null && $rec_user->business_logo != 'https://hlik-deep-bhaumik.s3.amazonaws.com/iContact/profileImages/')
                                                <img src="{{$rec_user->business_logo}}">
                                            @else
                                                <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRnZO-2fYKVDKQXtWrGKW4Tl6cYisp9NHL_ng4zunXzLQ&s">
                                            @endif
                                            </div>
                                            @if ($rec_user->user_type == "C")
                                            <div class="requester-name">{{$rec_user->business_name}}</div>
                                                
                                            @else
                                                
                                            <div class="requester-name">{{$rec_user->full_name}}</div>
                                            @endif
                                        </a>
                                        <div class="request-text">
                                            <p class="headtitle mb-0">Request Access For</p>
                                            <p class="subtitle mb-0">@if($rec_user->email == '1') Email, @endif @if($rec_user->phone == '1') Phone @endif @if($rec_user->location == '1') ,Location @endif @if($rec_user->all_info == '1') All info, @endif</p>
                                        </div>
                                        <div class="info-text">
                                        <p class="time">{{ \Carbon\Carbon::parse($rec_user->insert_date)->format('h:i A') }}</p>
                                            <a href="{{ route('receive_req_info', ['id' => $rec_user->id]) }}" class="btn btn-gradient-primary">Details</a>
                                        </div>
                                    </div>

                                    @endforeach
                                    @else
                                    <center>
                                        <h2 class="mt-5">No data found</h2>
                                    </center>
                                    @endif
                                
                                </div>
                                <div class="tab-pane fade" id="pills-profile" role="tabpanel"
                                    aria-labelledby="pills-profile-tab">
                                    @if($userData->code != "2" )
                                    <h3 class="requesttab-header-text">26 July ,2023</h3>

                                    @foreach ($userData->data as $user)
                                        
                                   
                                        <div class="request-container mb-3">
                                            <a href="request-info.php" class="request-card">
                                                <div class="request_img_container">
                                                    @if($user->avatar_icon != null)
                                                    <img src="{{$user->avatar_icon}}">
                                                    @else
                                                    <img src="{{$user->profile_image}}">
                                                    @endif
                                                </div>
                                                <div class="requester-name">{{$user->full_name}}</div>
                                            </a>
                                            <div class="request-text">
                                                <p class="headtitle mb-0">Request Access For</p>
                                                <p class="subtitle mb-0">@if($user->email == '1') Email, @endif @if($user->phone == '1') Phone @endif @if($user->location == '1') ,Location @endif</p>
                                            </div>
                                            <div class="info-text">
                                            <p class="time">{{ \Carbon\Carbon::parse($user->insert_date)->format('h:i A') }}</p>
                                            <div>
                                                <a href="javascript:void(0)" id="cancle_request" data-id ="{{$user->id}}" class="btn btn-outline-primary">Cancel</a>
                                                    <a href="{{ route('sent_request_details', ['id' => $user->id]) }}"
                                                    class="btn btn-gradient-primary">Details</a>
                                            </div>
                                            </div>
                                            
                                        </div>
    
                                        @endforeach
                                        @else
                                    <center>
                                        <h2 class="mt-5">No data found</h2>
                                    </center>
                                    
                                        @endif
                                   
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
        @include('user.inc.footer')
    </div>
    @include('user.inc.script')
</body>

</html>
<div class="modal fade" id="permissiongrantmodal" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content login-module">
            <div class="modal-header border-bottom-0" style="padding:10px">
                <div></div>
                <a href="request.php"><button type="button" class="btn-close" data-bs-dismiss="modal"
                        aria-label="Close"></button></a>
            </div>
            <div class="modal-body">
                <div class="d-flex gap-3 align-items-center">
                    <img src="assets/images/ticksign.png" class="img-fluid">
                    <div>
                        <h5 class="mb-0">Request Cancelled</h5>
                        <p class="mb-0">
                            You request has been successfully
                            cancelled.
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>